Bug 999330 - Review Request: snifflib - Numerical library for Java
Review Request: snifflib - Numerical library for Java
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
: 983784 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 03:45 EDT by Michael Simacek
Modified: 2013-08-23 13:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-23 13:09:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Simacek 2013-08-21 03:45:24 EDT
Spec URL: http://msimacek.fedorapeople.org/snifflib.spec
SRPM URL: http://msimacek.fedorapeople.org/snifflib-1.8.10-1.fc19.src.rpm
Description: The Snifflib numerical library provides honest-to-goodness N-dimensional array construction and manipulation along with standard linear algebra functionality as well as statistics and computational routines in the JAVA language.
Fedora Account System Username: msimacek
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5835776
Comment 1 Mikolaj Izdebski 2013-08-21 03:52:33 EDT
*** Bug 983784 has been marked as a duplicate of this bug. ***
Comment 2 Mikolaj Izdebski 2013-08-21 04:03:38 EDT
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5835787

Sources: generate-tarball.sh doesn't need to be included as source (not a blocker), besides that OK.
Patches OK.
Licensing OK.
Requires OK.
No bundled JARs.

Rpmlint:
snifflib.noarch: E: incorrect-fsf-address /usr/share/doc/snifflib/LGPLv3.txt
myrtle.noarch: W: no-documentation
myrtle.noarch: W: no-manual-page-for-binary myrtle
snifflib-javadoc.noarch: E: incorrect-fsf-address /usr/share/doc/snifflib-javadoc/LGPLv3.txt
3 packages and 0 specfiles checked; 2 errors, 2 warnings.

Blocker issue: You need to update desktop and icon caches after installing desktop and icon files. See http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
Comment 3 Michael Simacek 2013-08-21 04:27:49 EDT
Added scriptlets for updating caches
SPEC: http://msimacek.fedorapeople.org/snifflib.spec
SRPM: http://msimacek.fedorapeople.org/snifflib-1.8.10-2.fc19.src.rpm
Comment 5 Mikolaj Izdebski 2013-08-21 05:18:37 EDT
Approved.
Comment 6 Michael Simacek 2013-08-21 05:31:46 EDT
New Package SCM Request
=======================
Package Name: snifflib
Short Description: Numerical library for Java
Owners: msimacek mizdebsk sochotnicky msrb
Branches: f19
InitialCC:
Comment 7 Michael Simacek 2013-08-21 06:36:17 EDT
New Package SCM Request
=======================
Package Name: snifflib
Short Description: Numerical library for Java
Owners: msimacek mizdebsk sochotni msrb
Branches: f19
InitialCC: java-sig
Comment 8 mray271 2013-08-21 12:00:32 EDT

Man page for Myrtle has now been added upstream.  See doc/man/myrtle.1 

Tagged under snifflib release 1.8.12
Comment 9 Mikolaj Izdebski 2013-08-21 12:02:35 EDT
(In reply to mray271 from comment #8)
> 
> Man page for Myrtle has now been added upstream.  See doc/man/myrtle.1 
> 
> Tagged under snifflib release 1.8.12

Thank you.  We'll add the manpage in future versions of the package.
Comment 10 Gwyn Ciesla 2013-08-22 08:33:02 EDT
Git done (by process-git-requests).
Comment 11 Mikolaj Izdebski 2013-08-23 13:09:25 EDT
Package built, closing.

Note You need to log in before you can comment on or make changes to this bug.